<?php
/*=======================================================
*    Register Post type
* =======================================================*/
/**
 * Portfolio
 */
if ( ! function_exists('rbt_portfolio') ) {
	function rbt_portfolio() {

        $doob_options            = Doob_Helper::doob_get_options();
        $projects_slug              = ( !empty($doob_options['projects_slug']) ) ? $doob_options['projects_slug'] :'portfolio';

        $labels = array(
			'name'                  => esc_html_x( 'Portfolios', 'Post Type General Name', 'doob' ),
			'singular_name'         => esc_html_x( 'Portfolio', 'Post Type Singular Name', 'doob' ),
			'menu_name'             => esc_html__( 'Portfolio', 'doob' ),
			'name_admin_bar'        => esc_html__( 'Portfolio', 'doob' ),
			'archives'              => esc_html__( 'Item Archives', 'doob' ),
			'parent_item_colon'     => esc_html__( 'Parent Item:', 'doob' ),
			'all_items'             => esc_html__( 'All Items', 'doob' ),
			'add_new_item'          => esc_html__( 'Add New Item', 'doob' ),
			'add_new'               => esc_html__( 'Add New', 'doob' ),
			'new_item'              => esc_html__( 'New Item', 'doob' ),
			'edit_item'             => esc_html__( 'Edit Item', 'doob' ),
			'update_item'           => esc_html__( 'Update Item', 'doob' ),
			'view_item'             => esc_html__( 'View Item', 'doob' ),
			'search_items'          => esc_html__( 'Search Item', 'doob' ),
			'not_found'             => esc_html__( 'Not found', 'doob' ),
			'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'doob' ),
			'featured_image'        => esc_html__( 'Featured Image', 'doob' ),
			'set_featured_image'    => esc_html__( 'Set featured image', 'doob' ),
			'remove_featured_image' => esc_html__( 'Remove featured image', 'doob' ),
			'use_featured_image'    => esc_html__( 'Use as featured image', 'doob' ),
			'inserbt_into_item'     => esc_html__( 'Insert into item', 'doob' ),
			'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'doob' ),
			'items_list'            => esc_html__( 'Items list', 'doob' ),
			'items_list_navigation' => esc_html__( 'Items list navigation', 'doob' ),
			'filter_items_list'     => esc_html__( 'Filter items list', 'doob' ),
		);
		$args = array(
			'label'                 => esc_html__( 'Portfolio', 'doob' ),
			'labels'                => $labels,
			'supports'              => array( 'title', 'editor', 'excerpt', 'thumbnail'),
			'hierarchical'          => false,
			'public'                => true,
			'show_ui'               => true,
			'show_in_menu'          => true,
			'menu_position'         => 5,
			'menu_icon'   			=> 'dashicons-index-card',
			'show_in_admin_bar'     => true,
			'show_in_nav_menus'     => true,
			'can_export'            => true,
			'has_archive'           => true,		
			'exclude_from_search'   => false,
			'publicly_queryable'    => true,
            'show_in_rest'          => true, // To use Gutenberg editor.
			'capability_type'       => 'page',
            'rewrite'               => array('slug' => esc_html__($projects_slug , 'doob')),
		);
		register_post_type( 'portfolio', $args );
	}
	add_action( 'init', 'rbt_portfolio', 0 );

}




/**
 * Megamenu
 */
if ( ! function_exists('rbt_megamenu') ) {
    function rbt_megamenu() {

        $labels = array(
            'name'                  => esc_html_x( 'Megamenus', 'Post Type General Name', 'doob' ),
            'singular_name'         => esc_html_x( 'Megamenu', 'Post Type Singular Name', 'doob' ),
            'menu_name'             => esc_html__( 'Megamenu', 'doob' ),
            'name_admin_bar'        => esc_html__( 'Megamenu', 'doob' ),
            'archives'              => esc_html__( 'Item Archives', 'doob' ),
            'parent_item_colon'     => esc_html__( 'Parent Item:', 'doob' ),
            'all_items'             => esc_html__( 'All Items', 'doob' ),
            'add_new_item'          => esc_html__( 'Add New Item', 'doob' ),
            'add_new'               => esc_html__( 'Add New', 'doob' ),
            'new_item'              => esc_html__( 'New Item', 'doob' ),
            'edit_item'             => esc_html__( 'Edit Item', 'doob' ),
            'update_item'           => esc_html__( 'Update Item', 'doob' ),
            'view_item'             => esc_html__( 'View Item', 'doob' ),
            'search_items'          => esc_html__( 'Search Item', 'doob' ),
            'not_found'             => esc_html__( 'Not found', 'doob' ),
            'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'doob' ),
            'featured_image'        => esc_html__( 'Featured Image', 'doob' ),
            'set_featured_image'    => esc_html__( 'Set featured image', 'doob' ),
            'remove_featured_image' => esc_html__( 'Remove featured image', 'doob' ),
            'use_featured_image'    => esc_html__( 'Use as featured image', 'doob' ),
            'inserbt_into_item'     => esc_html__( 'Insert into item', 'doob' ),
            'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'doob' ),
            'items_list'            => esc_html__( 'Items list', 'doob' ),
            'items_list_navigation' => esc_html__( 'Items list navigation', 'doob' ),
            'filter_items_list'     => esc_html__( 'Filter items list', 'doob' ),
        );
        $args = array(
            'label'                 => esc_html__( 'Megamenu', 'doob' ),
            'labels'                => $labels,
            'supports'              => array( 'title', 'editor'),
            'hierarchical'          => false,
            'public'                => true,
            'show_ui'               => true,
            'show_in_menu'          => true,
            'menu_position'         => 5,
            'menu_icon'   			=> 'dashicons-editor-kitchensink',
            'show_in_admin_bar'     => true,
            'show_in_nav_menus'     => true,
            'can_export'            => true,
            'has_archive'           => true,
            'exclude_from_search'   => false,
            'publicly_queryable'    => true,
            'show_in_rest'          => true, // To use Gutenberg editor.
            'capability_type'       => 'page',
            'rewrite'               => array('slug' => esc_html__('megamenu' , 'doob')),
        );
        register_post_type( 'Megamenu', $args );
    }
    add_action( 'init', 'rbt_megamenu', 0 );

}