<?php
namespace Elementor;

if (!defined('ABSPATH')) exit; // Exit if accessed directly



class Doob_Elementor_Widget_PortfolioMeta extends Widget_Base
{

    use \Elementor\DoobElementCommonFunctions;

    public function get_name()
    {
        return 'doob-portfolio-meta';
    }

    public function get_title()
    {
        return esc_html__('Portfolio Meta', 'doob');
    }

    public function get_icon()
    {
        return 'rt-icon';
    }

    public function get_categories()
    {
        return ['doob'];
    }

    public function get_keywords()
    {
        return ['meta', 'portfolio', 'portfolio meta', 'doob'];
    }

    protected function register_controls()
    {

//        $this->start_controls_section(
//            'doob_portfolio_meta',
//            [
//                'label' => esc_html__('Portfolio Meta', 'doob'),
//            ]
//        );
//
//        $this->end_controls_section();

    }

    protected function render($instance = [])
    {
        $settings = $this->get_settings_for_display();
        $Helper = new \Doob_Helper();
        $doob_options = $Helper->doob_get_options();
        ?>
        <div class="rainbow-portfolio-details-meta">
            <div class="content-left">
                <div class="single-list-wrapper">
                    <?php if( !empty(get_field( "release_date" ))  && $doob_options['doob_enable_release_date_meta'] == 'yes'){ ?>
                    <div class="single-list">
                        <label><?php echo esc_html($doob_options['doob_release_date_text']); ?></label>
                        <span>
                            <?php
                            $format_in = 'Y-m-d'; // the format your value is saved in (set in the field options)
                            $format_out = get_option('date_format'); // the format you want to end up with
                            $date = \DateTime::createFromFormat($format_in, get_field( "release_date" ));
                            echo $date->format( $format_out );
                            ?>
                        </span>
                    </div>
                    <?php } ?>
                    <?php if( !empty(get_field( "client" )) && $doob_options['doob_enable_client_name_meta'] == 'yes'){ ?>
                        <div class="single-list">
                            <label><?php echo esc_html($doob_options['doob_client_name_text']); ?></label><span><?php echo get_field( "client" ); ?></span>
                        </div>
                    <?php } ?>
                    <?php if( !empty(get_field( "project_types" ))  && $doob_options['doob_enable_project_types_meta'] == 'yes'){ ?>
                    <div class="single-list">
                        <label><?php echo esc_html($doob_options['doob_project_types_text']); ; ?></label><span><?php echo get_field( "project_types" ); ?></span>
                    </div>
                    <?php } ?>
                </div>
                <?php if( !empty(get_field( "live_link" )) && $doob_options['doob_enable_live_preview_meta'] == 'yes'){ ?>
                    <div class="view-btn mt--50"><span class="d-none"><?php echo esc_html($doob_options['doob_live_preview_text']); ; ?></span>
                        <a class="btn-default btn-large round" href="<?php echo esc_url(get_field( "live_link" )); ?>"><?php echo esc_html($doob_options['doob_live_preview_button_text']); ; ?></a>
                    </div>
                <?php } ?>
            </div>
        </div>
        <?php
    }
}

Plugin::instance()->widgets_manager->register(new Doob_Elementor_Widget_PortfolioMeta());