<?php

/**
 * @author  Rainbow-Themes
 * @since   1.0
 * @version 1.0
 * @package doob
 */
trait BannerTrait
{
    
    /**
     * @return array
     * Banner Layout
     */
    public static function doob_banner_layout()
    {
        $doob_options = Doob_Helper::doob_get_options();
        $theme_prefix = DOOB_THEME_PREFIX;
        $condition_prefix = Doob_Helper::layout_settings();

        /**
         * Get Page Options value
         */
        $banner_area = doob_get_acf_data($theme_prefix .  '_title_wrapper_show');
        $banner_style = doob_get_acf_data( $theme_prefix . "_select_banner_style");

        /**
         * Set Condition
         */
        if(empty($banner_area)){
            $banner_style = $doob_options['doob_select_banner_template'];
        }else{
            $banner_style = (empty($banner_style) ||  $banner_style == "0") ? $doob_options['doob_select_banner_template'] : $banner_style;
        }
        $banner_area = (empty($banner_area)) ? $doob_options['doob_banner_enable'] : $banner_area;
        /**
         * Load Value
         */
        $banner_layout = [
            'banner_area' => $banner_area,
            'banner_style' => $banner_style,
        ];
        return $banner_layout;

    }

    
    /**
     * @return array
     * Banner Layout
     */
    public static function doob_page_breadcrumb()
    {
        $doob_options = Doob_Helper::doob_get_options();
        $theme_prefix = DOOB_THEME_PREFIX;
        $condition_prefix = Doob_Helper::layout_settings();

        /**
         * Get Page Options value
         */
        $breadcrumbs = doob_get_acf_data($theme_prefix .  '_breadcrumbs_enable');
        /**
         * Set Condition
         */
        $breadcrumbs = (empty($breadcrumbs)) ? $doob_options['doob_breadcrumb_enable'] : $breadcrumbs;
        /**
         * Load Value
         */
        $breadcrumbs_enable = [
            'breadcrumbs' => $breadcrumbs,
        ];
        return $breadcrumbs_enable;

    }




}
