<?php
/**
 * @author  Rainbow-Themes
 * @since   1.0
 * @version 1.0
 * @package doob
 */

class TGM_Config {
    public $prefix = DOOB_THEME_PREFIX;
    public $path = "https://rainbowthemes.net/themes/doob/demo/plugins/";

	public function __construct() {
		add_action( 'tgmpa_register', array( $this, 'doob_tgn_plugins' ) );
	}

	public function doob_tgn_plugins(){
		$plugins = array(	
			array(
				'name'         => esc_html__('Doob Core','doob'),
				'slug'         => 'doob-core',
				'source'       => 'doob-core.1.1.zip',
				'required'     =>  true,
				'version'      => '1.1'
			),
            array(
                'name'         => esc_html__('Doob Demo Importer','doob'),
                'slug'         => 'doob-demo-importer',
                'source'       => 'doob-demo-importer.zip',
                'required'     =>  true,
                'version'      => '1.0'
            ),
            array(
                'name'      => esc_html__('Advanced Custom Fields Pro', 'doob'),
                'slug'      => 'advanced-custom-fields-pro',
                'source'	=> 'advanced-custom-fields-pro.zip',
                'required'  => true,
            ),
					
			// Repository
			array(
				'name'     => esc_html__('Redux Framework','doob'),
				'slug'     => 'redux-framework',
				'required' => true,
			),
			array(
				'name'     => esc_html__('Elementor Page Builder','doob'),
				'slug'     => 'elementor',
				'required' => true,
			),
			array(
				'name'     => esc_html__('Contact Form 7','doob'),
				'slug'     => 'contact-form-7',
				'required' => false,
			)

		);

		$config = array(
			'id'           => $this->prefix,            // Unique ID for hashing notices for multiple instances of TGMPA.
			'default_path' => $this->path,              // Default absolute path to bundled plugins.
			'menu'         => $this->prefix . '-install-plugins', // Menu slug.
			'has_notices'  => true,                    // Show admin notices or not.
			'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
			'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
			'is_automatic' => false,                    // Automatically activate plugins after installation or not.
			'message'      => '',                      // Message to output right before the plugins table.
		);

		tgmpa( $plugins, $config );
	}
}

new TGM_Config;