<?php
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */

if(!function_exists('doob_widgets_init')){

    /**
     * Widget area initialization function
     *
     * @return void
     */
    function doob_widgets_init() {

        register_sidebar(array(
            'name' => esc_html__('Sidebar', 'doob'),
            'id' => 'sidebar-1',
            'description' => esc_html__('Add widgets here.', 'doob'),
            'before_widget' => '<div id="%1$s" class="rbt-single-widget %2$s mt--50 mt_sm--30 mt_md--30 mt_lg--40">',
            'after_widget' => '</div>',
            'before_title' => '<h4 class="title mb--20">',
            'after_title' => '</h4>',
        ));

        if ( class_exists( 'WooCommerce' ) ) {
            register_sidebar(array(
                'name' => esc_html__('Shop Sidebar', 'doob'),
                'id' => 'sidebar-shop',
                'description' => esc_html__('Add widgets here.', 'doob'),
                'before_widget' => '<div id="%1$s" class="rbt-single-widget %2$s mt--50 mt_sm--30 mt_md--30 mt_lg--40">',
                'after_widget' => '</div>',
                'before_title' => '<h4 class="title mb--20">',
                'after_title' => '</h4>',
            ));
        }

        $number_of_widget 	= 5;
        $doob_widget_titles = array(
            '1' => esc_html__( 'Footer Widget Area 1', 'doob' ),
            '2' => esc_html__( 'Footer Widget Area 2', 'doob' ),
            '3' => esc_html__( 'Footer Widget Area 3', 'doob' ),
            '4' => esc_html__( 'Footer Widget Area 4', 'doob' ),
            '5' => esc_html__( 'Footer Widget Area 5', 'doob' ),
        );
        for ( $i = 1; $i <= $number_of_widget; $i++ ) {
            register_sidebar( array(
                'name'          => $doob_widget_titles[$i],
                'id'            => 'footer-'. $i,
                'before_widget' => '<div id="%1$s" class="rainbow-footer-widget widget %2$s"><div class="inner">',
                'after_widget'  => '</div></div>',
                'before_title'  => '<h4 class="title">',
                'after_title'   => '</h4>',
            ) );
        }
    }
}
add_action( 'widgets_init', 'doob_widgets_init' );
