<?php
global $post;
$doob_options = Doob_Helper::doob_get_options();
$thumb_size = "" !== $doob_options['doob_project_image_size'] ? $doob_options['doob_project_image_size'] : 'doob-thumbnail-sm';
$thumb_size_single = "" !== $doob_options['doob_project_single_image_size'] ? $doob_options['doob_project_single_image_size'] : 'doob-thumbnail-single';
$col_class = "col-lg-{$doob_options['doob_project_archive_col_lg']} col-md-{$doob_options['doob_project_archive_col_md']} col-sm-{$doob_options['doob_project_archive_col_sm']} col-{$doob_options['doob_project_archive_col']}";

?>



<!-- Start Portfolio Details Area  -->
<div class="rainbow-portfolio-details rainbow-section-gap">
    <div class="container">
        <div class="row">
            <div class="col-lg-10 offset-lg-1">
                <div class="inner">
                    <div class="details-list">
                        <?php if(has_post_thumbnail()){
                            ?> <div class="thumbnail alignwide mb--40"><?php
                                the_post_thumbnail($thumb_size_single, array('class' => 'radius w-100'));
                                ?></div> <?php
                        } ?>
                        <?php the_content(); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- End Portfolio Details Area  -->

<?php

//Get array of terms
$terms = get_the_terms( $post->ID , 'portfolio-cat', 'string');
//Pluck out the IDs to get an array of IDS
$term_ids = wp_list_pluck($terms,'term_id');

//Query posts with tax_query. Choose in 'IN' if want to query posts with any of the terms
//Chose 'AND' if you want to query for posts with all terms
$rel_portfolio_query = new WP_Query( array(
    'post_type' => 'portfolio',
    'tax_query' => array(
        array(
            'taxonomy' => 'portfolio-cat',
            'field' => 'id',
            'terms' => $term_ids,
            'operator'=> 'IN' //Or 'AND' or 'NOT IN'
        )),
    'posts_per_page' => 3,
    'ignore_sticky_posts' => 1,
    'post__not_in'=>array($post->ID)
) );

if($doob_options['doob_enable_related_portfolio'] === 'yes' ){ ?>
    <?php
    //Loop through posts and display...
    if($rel_portfolio_query->have_posts()) { ?>
        <!-- Start Related Work  -->
        <div class="rbt-separator-mid">
            <div class="container">
                <hr class="rbt-separator m-0">
            </div>
        </div>
        <div class="portfolio-related-work rainbow-section-gap">
            <div class="container">
                <div class="row mb--20">
                    <div class="col-lg-12">
                        <div class="section-title text-center sal-animate" data-sal="slide-up" data-sal-duration="400" data-sal-delay="150">
                            <?php if(!empty($doob_options['doob_related_portfolio_section_title_before_text'])){ ?>
                            <h4 class="subtitle">
                                <span class="theme-gradient"><?php echo esc_html($doob_options['doob_related_portfolio_section_title_before_text']); ?></span>
                            </h4>
                            <?php } ?>
                            <?php if(!empty($doob_options['doob_related_portfolio_section_title_text'])){ ?>
                                <h2 class="title w-600"><?php echo esc_html($doob_options['doob_related_portfolio_section_title_text']); ?></h2>
                            <?php } ?>
                        </div>
                    </div>
                </div>

                <?php
                echo "<div class=\"row mt--10\">";
                while ($rel_portfolio_query->have_posts() ) : $rel_portfolio_query->the_post();
                    global $post;
                    $terms = get_the_terms($post->ID, 'portfolio-cat');
                    ?>
                    <?php get_template_part( 'template-parts/portfolio' ); ?>
                <?php endwhile;
                wp_reset_postdata();
                ?></div>
             </div>
        </div>
    <?php } ?>
    <!-- End Related Work  -->
<?php }
