<?php

/**
* Load Logo
*/

// Get Value
$doob_options = Doob_Helper::doob_get_options();

if (isset($doob_options['doob_logo_type'])): ?>
    <a href="<?php echo esc_url(home_url('/')); ?>"
       title="<?php echo esc_attr(get_bloginfo('name')); ?>" rel="home">

        <?php if ('image' == $doob_options['doob_logo_type']): ?>

            <img class="logo-normal logo-light" src="<?php echo esc_url($doob_options['doob_head_logo']['url']); ?>"
                 alt="<?php echo esc_attr(get_bloginfo('name')); ?>">

            <?php if(!empty($doob_options['doob_head_logo_dark']['url'])){ ?>
                <img class="logo-sticky logo-dark" src="<?php echo esc_url($doob_options['doob_head_logo_dark']['url']); ?>"
                     alt="<?php echo esc_attr(get_bloginfo('name')); ?>">
            <?php } ?>

        <?php else: ?>

            <?php if ('text' == $doob_options['doob_logo_type']): ?>

                <?php echo esc_html($doob_options['doob_logo_text']); ?>

            <?php endif ?>

        <?php endif ?>

    </a>
<?php else: ?>

    <h3>
        <a href="<?php echo esc_url(home_url('/')); ?>"
           title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home">
            <?php if (isset($doob_options['doob_logo_text']) ? $doob_options['doob_logo_text'] : '') {
                echo esc_html($doob_options['doob_logo_text']);
            } else {
                bloginfo('name');
            }
            ?>
        </a>
    </h3>

    <?php $description = get_bloginfo('description', 'display');

    if ($description || is_customize_preview()) { ?>

        <p class="site-description"><?php echo esc_html($description); ?> </p>

    <?php } ?>

<?php endif ?>