<?php
/**
 * Template part for displaying header layout one
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package doob
 */

// Get Value
$doob_options = Doob_Helper::doob_get_options();
$header_layout 			= Doob_Helper::doob_header_layout();
$header_sticky 			= $header_layout['header_sticky'];
$header_transparent 	= $header_layout['header_transparent'];
// Condition

$header_sticky = ("no" !== $header_sticky && "0" !== $header_sticky) ? " header-sticky " : "";
$header_transparent = ("no" !== $header_transparent && "0" !== $header_transparent) ? " header-transparent " : "header-not-transparent";

// Menu
$nav_menu_args = Doob_Helper::nav_menu_args();
$onepage_menu_args = Doob_Helper::onepage_menu_args();
$nav_menu = doob_get_acf_data( "doob_select_nav_menu");
$menu_type = doob_get_acf_data( "doob_menu_type");

$select_menu = $nav_menu_args;
if ($menu_type == "onepage"){
    $select_menu = $onepage_menu_args;
} else {
    $select_menu = $nav_menu_args;
}

?>
<header class="rainbow-header header-default header-area header-style-one <?php echo esc_attr($header_sticky); ?> <?php echo esc_attr($header_transparent); ?>">
    <div class="container position-relative header-wrapper" id="header-wrapper">
        <div class="row align-items-center row--0">
            <div class="header-left col-lg-2 col-md-6 col-4">
                <div class="logo">
                    <?php if (isset($doob_options['doob_logo_type'])): ?>
                        <a href="<?php echo esc_url(home_url('/')); ?>"
                           title="<?php echo esc_attr(get_bloginfo('name')); ?>" rel="home">

                            <?php if ('image' == $doob_options['doob_logo_type']): ?>

                                <img class="logo-normal logo-light" src="<?php echo esc_url($doob_options['doob_head_logo']['url']); ?>"
                                     alt="<?php echo esc_attr(get_bloginfo('name')); ?>">

                                <?php if(!empty($doob_options['doob_head_logo_dark']['url'])){ ?>
                                    <img class="logo-sticky logo-dark" src="<?php echo esc_url($doob_options['doob_head_logo_dark']['url']); ?>"
                                         alt="<?php echo esc_attr(get_bloginfo('name')); ?>">
                                <?php } ?>

                            <?php else: ?>

                                <?php if ('text' == $doob_options['doob_logo_type']): ?>

                                    <?php echo esc_html($doob_options['doob_logo_text']); ?>

                                <?php endif ?>

                            <?php endif ?>

                        </a>
                    <?php else: ?>

                        <h3>
                            <a href="<?php echo esc_url(home_url('/')); ?>"
                               title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home">
                                <?php if (isset($doob_options['doob_logo_text']) ? $doob_options['doob_logo_text'] : '') {
                                    echo esc_html($doob_options['doob_logo_text']);
                                } else {
                                    bloginfo('name');
                                }
                                ?>
                            </a>
                        </h3>

                        <?php $description = get_bloginfo('description', 'display');

                        if ($description || is_customize_preview()) { ?>

                            <p class="site-description"><?php echo esc_html($description); ?> </p>

                        <?php } ?>

                    <?php endif ?>
                </div>
            </div>
            <div class="header-right col-lg-10 col-md-6 col-8 position-static">

                <?php if (has_nav_menu('primary') || $nav_menu) {
                    // Start Mainmanu Nav
                    wp_nav_menu($select_menu);
                } ?>

                <?php if($doob_options['doob_header_btn']){?>
                    <div class="header-btn">
                        <a class="btn-default round btn-small" href="<?php echo esc_url($doob_options['doob_header_buttonUrl']); ?>">
                            <span><?php echo esc_html( $doob_options['doob_header_buttontext'] ); ?></span>
                        </a>
                    </div>
                <?php } ?>

                <?php get_template_part('template-parts/header/mini-cart-icon'); ?>
                <?php get_template_part('template-parts/header/dark-light-switcher'); ?>

                <?php if (has_nav_menu('primary') || $nav_menu) { ?>
                    <!-- Start Humberger Menu  -->
                    <div class="humberger-menu d-block d-lg-none pl--20">
                    <span class="menutrigger text-white">
                        <i data-feather="menu"></i>
                    </span>
                    </div>
                    <!-- End Humberger Menu  -->
                <?php } ?>


            </div>
        </div>
    </div>
</header>