<?php
/**
 * Template part for top bar notification
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package doob
 */
$doob_options = Doob_Helper::doob_get_options();
$doob_enable_topbar = $doob_options['doob_enable_topbar'];

// Button
$header_button = $doob_options['doob_header_topbar_enable_button'];
$header_button_target = $doob_options['doob_header_topbar_button_target'];
$header_button_type = $doob_options['doob_header_topbar_button_type'];
$header_button_size = $doob_options['doob_header_topbar_button_size'];
$button_txt = $doob_options['doob_header_topbar_button_txt'];
$header_button_url = $doob_options['doob_header_topbar_button_url'];

// BG Images
$default_bg_image = get_template_directory_uri() . "/assets/images/bg/top-banner.png";
$themeoption_banner_bg_image = (!empty($doob_options['doob_header_topbar_bg_image']['url'])) ? $doob_options['doob_header_topbar_bg_image']['url'] : $default_bg_image;

?>

<?php if($doob_options['doob_enable_topbar']){ ?>
    <!-- Start Header Top Area  -->
    <div class="header-top-news" style="background-image: url('<?php echo esc_url($themeoption_banner_bg_image); ?>')">
        <div class="wrapper">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="inner">
                            <div class="content">
                                <?php if(!empty($doob_options['doob_header_topbar_badge_content'])){ ?> <span class="rainbow-badge"><?php echo esc_html($doob_options['doob_header_topbar_badge_content']); ?></span> <?php } ?>
                                <?php if(!empty($doob_options['doob_header_topbar_content'])){ ?> <span class="news-text"><?php echo esc_html($doob_options['doob_header_topbar_content']); ?></span> <?php } ?>
                            </div>
                            <?php if ( 'false' !== $header_button && "no" !== $header_button && "0" !== $header_button): ?>
                                <div class="right-button">
                                    <a class="<?php echo esc_html($header_button_type); ?> <?php echo esc_html($header_button_size); ?>" target="<?php echo esc_attr($header_button_target); ?>"
                                       href="<?php echo esc_url($header_button_url); ?>">
                                        <span><?php echo esc_html($button_txt); ?> </span>
                                    </a>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <?php if($doob_options['doob_enable_dismissible']){ ?>
            <div class="icon-close">
                <button class="close-button bgsection-activation">
                    <i class="feather-x"></i>
                </button>
            </div>
        <?php } ?>
    </div>
    <!-- End Header Top Area  -->
<?php } ?>
