<?php
/**
 * Template part for displaying portfolio template
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package doob
 */

$terms = get_the_terms($post->ID, 'portfolio-cat');
$doob_options = Doob_Helper::doob_get_options();
$thumb_size = "" !== $doob_options['doob_project_image_size'] ? $doob_options['doob_project_image_size'] : 'doob-thumbnail-sm';

$col_class = "col-lg-{$doob_options['doob_project_archive_col_lg']} col-md-{$doob_options['doob_project_archive_col_md']} col-sm-{$doob_options['doob_project_archive_col_sm']} col-{$doob_options['doob_project_archive_col']}";


?>

<!-- Start Single Portfolio  -->
<div class="<?php echo esc_attr($col_class); ?> mt--30">
    <div class="rainbow-card portfolio">
        <div class="inner">
            <?php if(has_post_thumbnail()){ ?>
                <div class="thumbnail">
                    <div class="card-image">
                        <a href="<?php the_permalink(); ?>" class="image">
                            <?php echo get_the_post_thumbnail( $post->ID, $thumb_size, array( 'class' => 'w-100' ) ); ?>
                        </a>
                    </div>
                </div>
            <?php } ?>
            <div class="content">
                <h5  class="title mb--10 mt--10"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>

                <?php
                if($doob_options['doob_show_project_category'] == 'yes'){
                    if ($terms && !is_wp_error($terms)): ?>
                        <div><?php foreach ($terms as $term) { ?>
                                <span class="subtitle b2">
                                    <a href="<?php echo get_category_link($term->term_id); ?>"><?php echo esc_html($term->name); ?></a>
                                </span>
                            <?php } ?>
                        </div>
                    <?php endif ?>
                <?php } ?>


                <?php if ($doob_options['doob_enable_case_study_button'] == 'yes') { ?>
                    <div class="portfolio-button mt--20">
                        <a class="btn-default btn-small btn-border"
                           href="<?php the_permalink(); ?>"><?php echo esc_html($doob_options['doob_enable_case_study_button_text']); ?></a>
                    </div>
                <?php } ?>

            </div>
        </div>
    </div>
</div>
