<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package doob
 */
$doob_options = Doob_Helper::doob_get_options();
$images = doob_get_acf_data('doob_gallery_image');
$doob_blog_thumb = ( is_active_sidebar( 'sidebar-1' ) && $doob_options['doob_blog_sidebar'] != 'no') ? 'doob-thumbnail-lg':'doob-thumbnail-single';
?>
<!-- Start Single Blog  -->
<div id="post-<?php the_ID(); ?>" <?php post_class('doob-blog-list gallery-post mt--50 mt_md--30 mt_sm--30 mt_lg--50'); ?>>
    <?php
    if( $images ): ?>
        <div class="thumbnail doob-slick-active doob-carousel-gallery slick-dot-bottom slick-arrow-left-to-right rainbow-slick-arrow  rainbow-slick-dot ">
            <?php foreach( $images as $image ): ?>
                <div class="thumb-inner">
                    <a href="<?php the_permalink(); ?>">
                        <img class="w-100"  src="<?php echo esc_url($image['sizes'][$doob_blog_thumb]); ?>" alt="<?php echo esc_attr($image['alt']); ?>" />
                    </a>
                </div>
            <?php endforeach; ?>
        </div>
    <?php endif; ?>
    <div class="blog-content-wrapper">
        <div class="blog-top">
            <h3 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
            <?php Doob_Helper::postmeta(); ?>
        </div>
        <div class="content">
            <?php the_excerpt(); ?>
            <?php Doob_Helper::doob_read_more(); ?>
        </div>
    </div>
</div>
<!-- End Single Blog  -->