<?php
/**
 * Template part for displaying header page title
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package doob
 */

// Get Value
$doob_options = Doob_Helper::doob_get_options();
$banner_layout = Doob_Helper::doob_banner_layout();
$banner_area = $banner_layout['banner_area'];
$banner_style = $banner_layout['banner_style'];
$banner_title = doob_get_acf_data("doob_custom_title");
$banner_sub_title = doob_get_acf_data("doob_custom_sub_title");
$doob_breadcrumbs_enable = doob_get_acf_data("doob_breadcrumbs_enable");

$page_breadcrumb = Doob_Helper::doob_page_breadcrumb();
$page_breadcrumb_enable = $page_breadcrumb['breadcrumbs'];


$default_banner_image = get_template_directory_uri() . "/assets/images/bg/bg-image-1.jpg";
$thumbnail_url  = '';
if (is_home() && get_option('page_for_posts') ) {
    $img = wp_get_attachment_image_src(get_post_thumbnail_id(get_option('page_for_posts')),'full');
    if($img){
        $thumbnail_url  = $img[0];
    }
}

$themeoption_banner_bg_image = (!empty($doob_options['doob_select_banner_image']['url'])) ? $doob_options['doob_select_banner_image']['url'] : $default_banner_image;
$banner_bg_image = ($thumbnail_url) ? $thumbnail_url : $themeoption_banner_bg_image;




?>
<!-- Start Breadcrump Area  -->
<div class="breadcrumb-area breadcarumb-style-1 ptb--120">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="breadcrumb-inner text-center">
                    <?php if ( is_archive() ): ?>
                        <h1 class="title theme-gradient h2"><?php the_archive_title(); ?></h1>
                    <?php elseif( is_search() ): ?>
                        <h1 class="title theme-gradient h2"><?php esc_html_e( 'Search results for: ', 'doob' ) ?><?php echo get_search_query(); ?></h1>
                    <?php else: ?>
                        <h1 class="title theme-gradient h2">
                            <?php  if ( isset( $doob_options['doob_blog_text'] ) && !empty( $doob_options['doob_blog_text'] ) ){
                                echo esc_html( $doob_options['doob_blog_text'] );
                            }
                            else{
                                echo esc_html__('Latest Posts', 'doob');
                            }  ?>
                        </h1>
                    <?php endif ?>
                    <?php
                    if(! is_home()){
                        doob_breadcrumbs();
                    } ?>
                </div>
            </div>
        </div>
    </div>
</div>