<?php
/**
 * Template part for displaying header page title
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package doob
 */

// Get Value
$doob_options = Doob_Helper::doob_get_options();
$banner_layout = Doob_Helper::doob_banner_layout();
$banner_area = $banner_layout['banner_area'];
$banner_style = $banner_layout['banner_style'];
$banner_title = doob_get_acf_data("doob_custom_title");
$banner_sub_title = doob_get_acf_data("doob_custom_sub_title");
$doob_breadcrumbs_enable = doob_get_acf_data("doob_breadcrumbs_enable");

$page_breadcrumb = Doob_Helper::doob_page_breadcrumb();
$page_breadcrumb_enable = $page_breadcrumb['breadcrumbs'];


$default_banner_image = get_template_directory_uri() . "/assets/images/bg/bg-image-1.jpg";
$thumbnail_url  = get_the_post_thumbnail_url( get_the_ID(), 'full' );
$themeoption_banner_bg_image = (!empty($doob_options['doob_select_banner_image']['url'])) ? $doob_options['doob_select_banner_image']['url'] : $default_banner_image;
$banner_bg_image = ($thumbnail_url) ? $thumbnail_url : $themeoption_banner_bg_image;
?>
<!-- Start Breadcrump Area  -->
<div class="breadcrumb-area breadcarumb-style-1 ptb--120">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="breadcrumb-inner text-center">
                    <?php if($banner_title){ ?>
                        <h1 class="title theme-gradient h2"><?php echo esc_html( $banner_title ); ?></h1>
                    <?php  } else { ?>
                        <?php the_title( '<h1 class="title theme-gradient h2">', '</h1>' ); ?>
                    <?php  }  ?>
                    <?php if ("no" !== $page_breadcrumb_enable && "0" !== $page_breadcrumb_enable) {
                        doob_breadcrumbs();
                    } ?>
                </div>
            </div>
        </div>
    </div>
</div>