<?php
/**
 * Template part for displaying header portfolio title
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package doob
 */

// Get Value
$doob_options = Doob_Helper::doob_get_options();
$bg_image_class = has_post_thumbnail() ? '' : 'bg_image--4';
$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'full');
?>
<div class="breadcrumb-area breadcarumb-style-1 ptb--120">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="breadcrumb-inner text-center">
                    <h1 class="title theme-gradient h2"><?php the_title(); ?></h1>
                    <?php
                    if('excerpt' == $doob_options['select_title_bellow_content']){ ?>
                        <?php the_excerpt(); ?>
                    <?php } elseif('breadcrumbs' == $doob_options['select_title_bellow_content']) {
                        doob_breadcrumbs();
                    } elseif('both' == $doob_options['select_title_bellow_content']) {
                        the_excerpt();
                        ?>
                        <hr class="mt--20"><?php
                        doob_breadcrumbs();
                    } else {
                        // Nothing
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>
